gsw_grav {gsw} | R Documentation

## Gravitational Acceleration

### Description

Gravitational Acceleration

### Usage

    gsw_grav(latitude, p = 0)

### Arguments

`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

gravitational acceleration [ m/s^2 ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_grav.html

### Examples

    lat <- c(-90, -60, -30, 0)
    grav <- gsw_grav(lat)
    expect_equal(grav, c(9.832186205884799, 9.819178859991149,
                         9.793249257048750, 9.780327000000000))

[Package gsw version 1.0-5 Index]